%define subrel 1
Name:           autofs
Version:        5.0.6
Release:        %mkrel 6
License:        GPLv2+
Summary:        A tool for automatically mounting and unmounting filesystems
Group:          System/Kernel and hardware
URL:            ftp://ftp.kernel.org/pub/linux/daemons/autofs
Source0:        ftp://ftp.kernel.org/pub/linux/daemons/autofs/v5/autofs-%{version}.tar.bz2
Source1:        %{name}.init
Patch1: autofs-5.0.6-fix-ipv6-name-for-lookup-fix.patch
Patch2: autofs-5.0.6-improve-mount-location-error-reporting.patch
Patch3: autofs-5.0.6-fix-paged-query-more-results-check.patch
Patch4: autofs-5.0.6-fix-dumpmaps-not-reading-maps.patch
Patch5: autofs-5.0.6-fix-result-null-check-in-read_one_map.patch
Patch6: autofs-5.0.6-fix-LDAP-result-leaks-on-error-paths.patch
Patch7: autofs-5.0.6-code-analysis-fixes-1.patch
Patch8: autofs-5.0.6-fix-not-bind-mounting-local-filesystem.patch
Patch9: autofs-5.0.6-add-dir-map-type.patch
Patch10: autofs-5.0.6-fix-wait-for-master-source-mutex.patch
Patch11: autofs-5.0.6-fix-submount-shutdown-race.patch
Patch12: autofs-5.0.6-fix-fix-map-source-check-in-file-lookup.patch
Patch13: autofs-5.0.6-add-disable-move-mount-configure-option.patch
Patch14: autofs-5.0.6-fix-lsb-service-name-in-init-script-2.patch
Patch15: autofs-5.0.6-fix-ipv6-name-lookup-check.patch
Patch16: autofs-5.0.6-fix-ipv6-rpc-calls.patch
Patch17: autofs-5.0.6-fix-ipv6-configure-check.patch
Patch18: autofs-5.0.6-add-piddir-to-configure.patch
Patch19: autofs-5.0.6-add-systemd-unit-support.patch
Patch20: autofs-5.0.6-fix-MNT_DETACH-define.patch
Patch21: autofs-5.0.6-remove-empty-command-line-arguments.patch
Patch102:       autofs-5.0.6-separate-config-files.patch
Patch103:       autofs-5.0.4-rename-configuration-file.patch
BuildRequires:  openldap-devel
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  libsasl-devel
BuildRequires:  krb-devel
BuildRequires:  libxml2-devel
BuildRequires:  tirpc-devel
Conflicts:      autosmb
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
autofs is a daemon which automatically mounts filesystems when you use
them, and unmounts them later when you are not using them.  This can
include network filesystems, CD-ROMs, floppies, and so forth.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch102 -p 1
%patch103 -p 1

%build
autoreconf -f -i
%serverbuild
%configure2_5x \
    --with-mapdir=%{_sysconfdir}/%{name} \
    --with-confdir=%{_sysconfdir}/%{name} \
    --with-sasl=yes \
    --disable-mount-locking \
    --enable-ignore-busy \
    --with-libtirpc \
    --disable-mount-move \
    --with-systemd
%make DONTSTRIP=1

mkdir examples
cp samples/ldap* examples
cp samples/autofs.schema examples

rm -f README.gentoo

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_libdir}/autofs
mkdir -p %{buildroot}%{_mandir}/{man5,man8}
mkdir -p %{buildroot}%{_sysconfdir}

%make install INSTALLROOT=%{buildroot}

install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 samples/autofs.service %{buildroot}%{_unitdir}/autofs.service

rm -f %{buildroot}%{_sysconfdir}/init.d/%{name}
rm -f %{buildroot}%{_mandir}/man8/autofs*

cat > README.urpmi <<EOF
Mageia RPM specific notes

setup
-----
Configuration handling in Mageia package differs from upstream one on several
points:
- the automounts daemon configuration file is %{_sysconfdir}/autofs/autofs.conf
- the autofs service configuration file is %{_sysconfdir}/sysconfig/autofs

Upgrade
-------
Map files have been moved from %{_sysconfdir} to %{_sysconfdir}/autofs. Upgrade
procedure should handle the change automatically.
LDAP usage has changed between autofs 4 and 5. The LDAP schema used has now to
be configured explicitely in autofs configuration, so as to avoid useless
queries. As this can't be handled by package upgrade procedure, you'll have to
edit your configuration manually. See auto.master(5) for details.

EOF

# tune default configuration
perl -pi -e 's|^BROWSE_MODE="no"|BROWSE_MODE="yes"|' \
    %{buildroot}%{_sysconfdir}/autofs/autofs.conf
perl -pi \
    -e 's|^/misc\t|#/misc\t|;' \
    -e 's|^/net\t|#/net\t|;' \
    %{buildroot}%{_sysconfdir}/autofs/auto.master

%post
%_post_service autofs

%preun
%_preun_service autofs

%files
%doc INSTALL CHANGELOG CREDITS README* examples
%config(noreplace) %{_sysconfdir}/autofs
%config(noreplace) %{_sysconfdir}/sysconfig/autofs
%{_unitdir}/autofs.service
%{_initrddir}/%{name}
%{_libdir}/%{name}
%{_sbindir}/automount
%{_mandir}/*/*


%changelog

* Mon Nov 05 2012 pterjan <pterjan> 5.0.6-6.1.mga2
+ Revision: 314441
- Fix initscript's LSB header
- Fix License tag

* Sat Apr 28 2012 tmb <tmb> 5.0.6-5.mga2
+ Revision: 233592
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 5.0.6-4.mga2
+ Revision: 233498
- rebuild for versioned rpm-helper requires

* Tue Jan 17 2012 guillomovitch <guillomovitch> 5.0.6-3.mga2
+ Revision: 197345
- sync patches with fedora
- systemd support

* Thu Dec 29 2011 supp <supp> 5.0.6-2.mga2
+ Revision: 188759
- rebuild for mga2

  + guillomovitch <guillomovitch>
    - add missing LSB headers to the init script
    - new version
    - drop obsoletes 4->5 transition post scripts
    - spec cleanup

* Tue Feb 08 2011 ennael <ennael> 5.0.5-4.mga1
+ Revision: 49039
- imported package autofs

